Next Commerce
Gift cards

Gift Cards Retrieve

Retrieve a gift card.

GET
/gift-cards/{id}/

Authorization

oauth2 gift_cards:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: gift_cards:read

Path Parameters

id*integer

A unique integer value identifying this gift card.

Header Parameters

X-29next-API-Version*string
Default"2023-02-10"
Value in"2023-02-10"

Response Body

application/json

curl -X GET "https://example.29next.store/api/admin/gift-cards/0/" \
  -H "X-29next-API-Version: 2023-02-10" \
  -H "Authorization: Bearer "
{
  "balance": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "currency": "string",
  "disabled_at": "2019-08-24T14:15:22Z",
  "expired_at": "2019-08-24T14:15:22Z",
  "id": 0,
  "initial": "string",
  "last_four": "string",
  "updated_at": "2019-08-24T14:15:22Z",
  "user": {
    "accepts_marketing": true,
    "email": "user@example.com",
    "first_name": "string",
    "id": 0,
    "ip": "string",
    "language": "string",
    "last_name": "string",
    "phone_number": "string",
    "user_agent": "string"
  }
}